Skip to main content
Storage Services/Storage Services
PUTStorage ServicesSince 4.10.7SynchronousAuth Required

Test ZCE-X Connection

Test ZCE-X Connection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • managementIpString

    ZCE-X management node IP

  • portInteger

    ZCE-X API service port

  • uuidString

    ZCE-X VO UUID

  • urlString

    ZCE-X test connection URL

  • adminTokenString

    ZCE-X access-token. Can be filled in to check if access-token is available

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/zce-x-plugin/test-connection

/zstack/v1/zce-x-plugin/test-connection

Operation ID

ZceXTestConnection

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zce-x-plugin/test-connection' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"managementIp":"<managementIp>","port":1,"uuid":"<uuid>","url":"<url>","adminToken":"<adminToken>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history